Module jdk.compiler
Package com.sun.source.tree

# Interface CaseLabelTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `AnnotatedTypeTree`, `AnnotationTree`, `ArrayAccessTree`, `AssignmentTree`, `BinaryTree`, `BindingPatternTree`, `CompoundAssignmentTree`, `ConditionalExpressionTree`, `DefaultCaseLabelTreePREVIEW`, `ErroneousTree`, `ExpressionTree`, `GuardedPatternTreePREVIEW`, `IdentifierTree`, `InstanceOfTree`, `LambdaExpressionTree`, `LiteralTree`, `MemberReferenceTree`, `MemberSelectTree`, `MethodInvocationTree`, `NewArrayTree`, `NewClassTree`, `ParenthesizedPatternTreePREVIEW`, `ParenthesizedTree`, `PatternTreePREVIEW`, `SwitchExpressionTree`, `TypeCastTree`, `UnaryTree`

public interface CaseLabelTree extends Tree
`CaseLabelTree` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A marker interface for `Tree`s that may be used as `CaseTree` labels.

Since:
  17

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`